package model

// Domain cdn访问域名
type Domain struct {
	BaseModel
	Name   string `gorm:"size:64;unique;not null;column:name;comment:'域名'" json:"name"`
	Remark string `gorm:"size:64;column:remark;comment:'备注'" json:"remark"`
}

// TableName sets the custom table name for the User model.
func (Domain) TableName() string {
	return "domain"
}
