package model

// Upload cdn访问域名
type Upload struct {
	BaseModel
	FileKey string `gorm:"size:64;unique;not null;column:filekey;comment:'文件路径'" json:"fileKey"`
	Remark  string `gorm:"size:64;column:remark;comment:'备注'" json:"remark"`
}

// TableName sets the custom table name for the User model.
func (Upload) TableName() string {
	return "upload"
}
